|
Ubicación en el Menú |
---|
Part -> Sphere |
Entornos de trabajo |
Part Module,Complete |
Atajo de teclado por defecto |
Ninguno |
Introducido en versión |
- |
Ver también |
Part CreatePrimitives |
Description
Crea una esfera paramétrica simple, con los parámetros de posición, ángulo1, ángulo2, ángulo3 y radio. La esfera se situará en el origen (point 0,0,0). Los parámetros de ángulo permiten crear una porción de la esfera en lugar de la esfera completa (por defecto están establecidos a 360°)
A Part Sphere can be truncated at the top and/or bottom by changing its DatosAngle1 and/or DatosAngle2 properties. It can be turned into a segment of a sphere by changing its DatosAngle3 property.
Usage
- There are several ways to invoke the command:
- Press the
Sphere button.
- Select the Part → Primitives →
Sphere option from the menu.
- Press the
- The sphere is created.
- Optionally change the dimensions and DatosPlacement of the sphere by doing one of the following:
- Double-click the object in the Tree view:
- The Geometric Primitives task panel opens.
- Change one or more properties.
- The object is dynamically updated in the 3D view.
- Press the OK button.
- Change the properties in the Property editor.
- Change the DatosPlacement with the
Std TransformManip command.
- Double-click the object in the Tree view:
Example

A Part Sphere object created with the scripting example below is shown here.
Notes
- A Part Sphere can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Properties
See also: Property editor.
A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Sphere
- DatosRadius (
Length
): The radius of the sphere. The default is5mm
. - DatosAngle1 (
Angle
): The start angle of the circular arc profile of the sphere. Valid range:-90° <= value <= 90°
. May not be equal to DatosAngle2. The default is-90°
. - DatosAngle2 (
Angle
): The end angle of the circular arc profile of the sphere. Valid range:-90° <= value <= 90°
. May not be equal to DatosAngle1. The default is90°
. If the total angle of the arc profile is smaller than180°
the sphere will be truncated and have a flat face at the top and/or bottom. - DatosAngle3 (
Angle
): The total angle of revolution of the sphere. Valid range:0° < value <= 360°
. The default is360°
. If it is smaller than360°
the resulting solid will be a segment of a sphere.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Sphere can be created with the addObject()
method of the document:
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
- Where
"mySphere"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))
doc.recompute()
Esta página ha sido recuperada de https://wiki.freecad.org/Part_Sphere